Saturday, January 22, 2011

Ubuntu 10.10 Nvidia driver update to fix "NVRM: os_raise_smp_barrier(), invalid context!" message

Ok, so after addressing the previous ips spamming woes to my syslog, I have now a fix for the Nvidia "NVRM: os_raise_smp_barrier(), invalid context!" errors, should you be so unlucky to have this gawd-aweful chipset.

Get the driver here:

And do the following (from Nvidia's site:
"Once you have downloaded the driver, change to the directory containing the driver package and install the driver by running, as root, sh ./

One of the last installation steps will offer to update your X configuration file. Either accept that offer, edit your X configuration file manually so that the NVIDIA X driver will be used, or run nvidia-xconfig.

Note that you want to do this from a console and not X (KDE, Gnome, whatever).

No comments: